clear

use "data4Replication.dta"

****** Figure 1: Overtime Change of the Indices of Interest
collapse (mean) ds freedom institutionTrust econeval, by(wave)

twoway(line ds wave, lpattern(solid))(line freedom wave, lpattern(dash))(line institutionTrust wave, lpattern(shortdash))(line econeval wave, lpattern(dot)), scheme(s1mono) legend( label (1 "Diffuse Regime Support") label (2 "Perceived Freedoms") label (3 "Institutional Trust") label (4 "Economic Evaluation")) 



******* Table 1
mixed ds institutionTrust freedom econeval newAge female edu inc married hkborn retired homemaker christian || wave:, vce(cluster wave)
estimates store m1, title(model 1)

mixed ds localTrust centralTrust repTrust proceduralTrust freedom econeval newAge female edu inc married hkborn retired homemaker christian || wave:, vce(cluster wave)
estimates store m2, title(model 2)

mixed ds trustCE trustHKGovt trustCivil trustCourt trustPolice trustPLA trustCGovt trustLegco trustParty freespeech freeassembly econnow econretro newAge female edu inc married hkborn retired homemaker christian || wave:, vce(cluster wave)
estimates store m3, title(model 3)

estout *, cells(b(star fmt(%8.3f)) se(par fmt(%8.3f))) stats(N ll, fmt(%8.5g)) starlevels(* 0.05 ** 0.01) style(fixed)
estimates drop *


****** Table 2
regress ds institutionTrust freedom econeval afterNSL if wave == 5 
estimates store m1, title(model 1)

regress ds institutionTrust freedom econeval afterNSL newAge female edu inc married hkborn retired homemaker christian if wave == 5 
estimates store m2, title(model 2)

regress ds institutionTrust freedom econeval if wave == 5 & b4NSL == 1
estimates store m3, title(model 3)

regress ds institutionTrust freedom econeval newAge female edu inc married hkborn retired homemaker christian if wave == 5 & b4NSL == 1
estimates store m4, title(model 4)

regress ds institutionTrust freedom econeval if wave == 5 & b4NSL == 0
estimates store m5, title(model 5)

regress ds institutionTrust freedom econeval newAge female edu inc married hkborn retired homemaker christian if wave == 5 & b4NSL == 0
estimates store m6, title(model 6)

estout *, cells(b(star fmt(%8.3f)) se(par fmt(%8.3f))) stats(N r2, fmt(%8.5g)) starlevels(* 0.05 ** 0.01) style(fixed)
estimates drop *


******** Table 3

clear
import delimited "dataTrustMissingness.csv", case(preserve) 

ttest missing if trust == "trustCE" & wave == 5, by(afterNSL) unequal 
ttest missing if trust == "trustHKGovt" & wave == 5, by(afterNSL) unequal
ttest missing if trust == "trustCivil" & wave == 5, by(afterNSL) unequal
ttest missing if trust == "trustCourt" & wave == 5, by(afterNSL) unequal
ttest missing if trust == "trustPolice" & wave == 5, by(afterNSL) unequal
ttest missing if trust == "trustPLA" & wave == 5, by(afterNSL) unequal
ttest missing if trust == "trustCGovt" & wave == 5, by(afterNSL) unequal
ttest missing if trust == "trustLegco" & wave == 5, by(afterNSL) unequal
ttest missing if trust == "trustParty" & wave == 5, by(afterNSL) unequal



